Paho Asynchronous MQTT C Client Library: Data Fields

| Paho Asynchronous MQTT C Client Library

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- allowDisconnectedSendAtAnyTime : MQTTAsync_createOptions
- alt : MQTTAsync_successData5 , MQTTAsync_successData
- array : MQTTProperties
- automaticReconnect : MQTTAsync_connectOptions

### - b -

- binarypwd : MQTTAsync_connectData , MQTTAsync_connectOptions
- byte : MQTTProperty

### - c -

- CApath : MQTTAsync_SSLOptions
- cleansession : MQTTAsync_connectOptions
- cleanstart : MQTTAsync_connectOptions
- code : MQTTAsync_failureData5 , MQTTAsync_failureData
- connect : MQTTAsync_successData5 , MQTTAsync_successData
- connectProperties : MQTTAsync_connectOptions
- connectTimeout : MQTTAsync_connectOptions
- context : MQTTAsync_connectOptions , MQTTAsync_disconnectOptions , MQTTAsync_responseOptions , MQTTClient_persistence
- count : MQTTProperties

### - d -

- data : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_willOptions , MQTTLenString , MQTTProperty
- deleteOldestMessages : MQTTAsync_createOptions
- destinationName : MQTTAsync_successData5 , MQTTAsync_successData
- disableDefaultTrustStore : MQTTAsync_SSLOptions
- do_openssl_init : MQTTAsync_init_options
- dup : MQTTAsync_message

### - e -

- enabledCipherSuites : MQTTAsync_SSLOptions
- enableServerCertAuth : MQTTAsync_SSLOptions

### - h -

- httpHeaders : MQTTAsync_connectOptions
- httpProxy : MQTTAsync_connectOptions
- httpsProxy : MQTTAsync_connectOptions

### - i -

- identifier : MQTTProperty
- integer2 : MQTTProperty
- integer4 : MQTTProperty

### - k -

- keepAliveInterval : MQTTAsync_connectOptions
- keyStore : MQTTAsync_SSLOptions

### - l -

- len : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_willOptions , MQTTLenString
- length : MQTTProperties

### - m -

- max_count : MQTTProperties
- maxBufferedMessages : MQTTAsync_createOptions
- maxInflight : MQTTAsync_connectOptions
- maxRetryInterval : MQTTAsync_connectOptions
- message : MQTTAsync_failureData5 , MQTTAsync_failureData , MQTTAsync_successData5 , MQTTAsync_successData , MQTTAsync_willOptions
- minRetryInterval : MQTTAsync_connectOptions
- MQTTVersion : MQTTAsync_connectOptions , MQTTAsync_createOptions , MQTTAsync_successData5 , MQTTAsync_successData
- msgid : MQTTAsync_message

### - n -

- name : MQTTAsync_nameValue
- noLocal : MQTTSubscribe_options

### - o -

- onFailure : MQTTAsync_connectOptions , MQTTAsync_disconnectOptions , MQTTAsync_responseOptions
- onFailure5 : MQTTAsync_connectOptions , MQTTAsync_disconnectOptions , MQTTAsync_responseOptions
- onSuccess : MQTTAsync_connectOptions , MQTTAsync_disconnectOptions , MQTTAsync_responseOptions
- onSuccess5 : MQTTAsync_connectOptions , MQTTAsync_disconnectOptions , MQTTAsync_responseOptions

### - p -

- packet_type : MQTTAsync_failureData5
- password : MQTTAsync_connectOptions
- payload : MQTTAsync_message , MQTTAsync_willOptions
- payloadlen : MQTTAsync_message
- pclear : MQTTClient_persistence
- pclose : MQTTClient_persistence
- pcontainskey : MQTTClient_persistence
- persistQoS0 : MQTTAsync_createOptions
- pget : MQTTClient_persistence
- pkeys : MQTTClient_persistence
- popen : MQTTClient_persistence
- pput : MQTTClient_persistence
- premove : MQTTClient_persistence
- privateKey : MQTTAsync_SSLOptions
- privateKeyPassword : MQTTAsync_SSLOptions
- properties : MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_message , MQTTAsync_responseOptions , MQTTAsync_successData5
- protos : MQTTAsync_SSLOptions
- protos_len : MQTTAsync_SSLOptions
- pub : MQTTAsync_successData5 , MQTTAsync_successData

### - q -

- qos : MQTTAsync_message , MQTTAsync_successData , MQTTAsync_willOptions
- qosList : MQTTAsync_successData

### - r -

- reasonCode : MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_successData5
- reasonCodeCount : MQTTAsync_successData5
- reasonCodes : MQTTAsync_successData5
- restoreMessages : MQTTAsync_createOptions
- retainAsPublished : MQTTSubscribe_options
- retained : MQTTAsync_message , MQTTAsync_willOptions
- retainHandling : MQTTSubscribe_options
- retryInterval : MQTTAsync_connectOptions

### - s -

- sendWhileDisconnected : MQTTAsync_createOptions
- serverURI : MQTTAsync_successData5 , MQTTAsync_successData
- serverURIcount : MQTTAsync_connectOptions
- serverURIs : MQTTAsync_connectOptions
- sessionPresent : MQTTAsync_successData5 , MQTTAsync_successData
- ssl : MQTTAsync_connectOptions
- ssl_error_cb : MQTTAsync_SSLOptions
- ssl_error_context : MQTTAsync_SSLOptions
- ssl_psk_cb : MQTTAsync_SSLOptions
- ssl_psk_context : MQTTAsync_SSLOptions
- sslVersion : MQTTAsync_SSLOptions
- struct_id : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_createOptions , MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_init_options , MQTTAsync_message , MQTTAsync_responseOptions , MQTTAsync_SSLOptions , MQTTAsync_successData5 , MQTTAsync_willOptions , MQTTSubscribe_options
- struct_version : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_createOptions , MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_init_options , MQTTAsync_message , MQTTAsync_responseOptions , MQTTAsync_SSLOptions , MQTTAsync_successData5 , MQTTAsync_willOptions , MQTTSubscribe_options
- sub : MQTTAsync_successData5
- subscribeOptions : MQTTAsync_responseOptions
- subscribeOptionsCount : MQTTAsync_responseOptions
- subscribeOptionsList : MQTTAsync_responseOptions

### - t -

- timeout : MQTTAsync_disconnectOptions
- token : MQTTAsync_failureData5 , MQTTAsync_failureData , MQTTAsync_responseOptions , MQTTAsync_successData5 , MQTTAsync_successData
- topicName : MQTTAsync_willOptions
- trustStore : MQTTAsync_SSLOptions

### - u -

- unsub : MQTTAsync_successData5
- username : MQTTAsync_connectData , MQTTAsync_connectOptions

### - v -

- value : MQTTAsync_nameValue , MQTTProperty
- verify : MQTTAsync_SSLOptions

### - w -

- will : MQTTAsync_connectOptions
- willProperties : MQTTAsync_connectOptions